package com.alibaba.druid.sql.dialect.antspark.parser;

import com.alibaba.druid.sql.parser.SQLCreateTableParser;
import com.alibaba.druid.sql.parser.SQLExprParser;
import com.alibaba.druid.sql.parser.SQLStatementParser;

public class AntsparkStatementParser extends SQLStatementParser {
   public AntsparkStatementParser(String sql) {
      super((SQLExprParser)(new AntsparkExprParser(sql)));
   }

   public SQLCreateTableParser getSQLCreateTableParser() {
      return new AntsparkCreateTableParser(this.exprParser);
   }
}
